Pannello di Controllo Moderatore ]

[Risolto] Non si apre un Data Base su Ubuntu 18.04

Discussioni sulle caratteristiche di database

[Risolto] Non si apre un Data Base su Ubuntu 18.04

Messaggioda Vioma » martedì 12 marzo 2019, 11:56

Ho creato una data base con la versione 16.04 di Ubuntu.
Quando lo apro con la versione 18.04 mi da i seguenti codici di errore:
Codice: Seleziona tutto   Espandi visualeStringi visuale
Impossibile creare il collegamento alla sorgente dati "ArchivioClienti".

Codice: Seleziona tutto   Espandi visualeStringi visuale
Stato SQL: HY000

Impossibile stabilire il collegamento alla sorgente dati esterna in quanto non è stato trovato il driver SDBC per l'indirizzo URL 'sdbc:embedded:hsqldb'.

Che devo fare per renderlo leggibile anche nell'avanzamento di sistema?

Selezione_152.png
Ultima modifica di charlie il mercoledì 13 marzo 2019, 7:40, modificato 3 volte in totale.
Motivazione: Inserita spunta verde
LIBREOFFICE 6.0.2.1 SU UBUNTU MATE 16.04
Vioma
 
Messaggi: 79
Iscritto il: domenica 22 maggio 2011, 5:28

Re: Non si apre un Data Base

Messaggioda charlie » martedì 12 marzo 2019, 12:16

Ciao, verifica la versione di LO installata con Ubuntu 18.04.
Se fosse 6.1.x o successiva potrebbe dipendere (è solo un'ipotesi) dal fatto che Libre Office ha cambiato il motore database incorporato (embedded) di default, da HSQLDB a Firebird, ma dovrebbe averti chiesto conferma all'apertura.
Adoperavi il motore incorporato o uno esterno?

Poi vedi se ti può essere d'aiuto questa indicazione (non è la stessa situazione ma, ....): https://ask.libreoffice.org/it/question ... s-e-lo-62/
charlie
macOS 10.12 Sierra: Open Office 4.1.5 - LibreOffice 6.0.7
Windows 7 pro (VirtualBox): Open Office 4.1.5 - LibreOffice 5.4.4.2
Ubuntu 17.04 LTE (VirtualBox): LibreOffice 5.1.6.2
http://www.charlieopenoffice.altervista.org
Avatar utente
charlie
Site Admin
Site Admin
 
Messaggi: 5652
Iscritto il: mercoledì 19 dicembre 2012, 10:50

Re: Non si apre un Data Base

Messaggioda Vioma » martedì 12 marzo 2019, 12:24

charlie ha scritto:Ciao, verifica la versione di LO installata con Ubuntu 18.04.
Se fosse 6.1.x o successiva potrebbe dipendere (è solo un'ipotesi) dal fatto che Libre Office ha cambiato il motore database incorporato (embedded) di default, da HSQLDB a Firebird, ma dovrebbe averti chiesto conferma all'apertura.
Adoperavi il motore incorporato o uno esterno?

Poi vedi se ti può essere d'aiuto questa indicazione (non è la stessa situazione ma, ....): https://ask.libreoffice.org/it/question ... s-e-lo-62/

Io ho semplicemente cliccato sul file creato per aprirlo....lo apre, ma quando voglio aprire il formulario mi spunta tutta quella pappardella.
Ho visto che forse bisogna installare un driver aggiuntivo mancante andando qui: https://launchpad.net/ubuntu/bionic/+pa ... se-drivers

edit:
L'installazione non è andata a buon fine:
Codice: Seleziona tutto   Espandi visualeStringi visuale
sudo dpkg -i libreoffice-base-drivers_6.0.7-0ubuntu0.18.04.5_amd64.deb
[sudo] password di mate-1804:
(Lettura del database... 466230 file e directory attualmente installati.)
Preparativi per estrarre libreoffice-base-drivers_6.0.7-0ubuntu0.18.04.5_amd64.deb...
Estrazione di libreoffice-base-drivers (1:6.0.7-0ubuntu0.18.04.5) su (1:6.0.7-0ubuntu0.18.04.2)...
dpkg: problemi con le dipendenze impediscono la configurazione di libreoffice-base-drivers:
libreoffice-base-drivers dipende da libreoffice-core (= 1:6.0.7-0ubuntu0.18.04.5); tuttavia:
  La versione di libreoffice-core nel sistema è 1:6.0.7-0ubuntu0.18.04.2.

dpkg: errore nell'elaborare il pacchetto libreoffice-base-drivers (--install):
problemi con le dipendenze - lasciato non configurato
Elaborazione dei trigger per libreoffice-common (1:6.0.7-0ubuntu0.18.04.2)...
Si sono verificati degli errori nell'elaborazione:
libreoffice-base-drivers

...e se tento di installare delle dipendenze non installate mi esce questo:
Codice: Seleziona tutto   Espandi visualeStringi visuale
sudo apt-get install -f
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze       
Lettura informazioni sullo stato... Fatto
Correzione delle dipendenze... Fatto
I seguenti pacchetti sono stati installati automaticamente e non sono più richiesti:
  libapache-pom-java libcommons-logging-java libcommons-parent-java
Usare "sudo apt autoremove" per rimuoverli.
I seguenti pacchetti saranno RIMOSSI:
  libreoffice-base libreoffice-base-drivers libreoffice-report-builder libreoffice-report-builder-bin
0 aggiornati, 0 installati, 4 da rimuovere e 48 non aggiornati.
1 non completamente installati o rimossi.
Dopo quest'operazione, verranno liberati 17,6 MB di spazio su disco.
Continuare?

Non so se fare andare avanti o meno.
LIBREOFFICE 6.0.2.1 SU UBUNTU MATE 16.04
Vioma
 
Messaggi: 79
Iscritto il: domenica 22 maggio 2011, 5:28

Re: [Risolto] Non si apre un Data Base

Messaggioda Vioma » martedì 12 marzo 2019, 13:29

Ho risolto in questo modo.
Non so per quale oscuro problema Base non si è aggiornato nel corso dei vari aggiornamenti del sistema operativo.
Ho disinstallato base, come richiesto da apt
Codice: Seleziona tutto   Espandi visualeStringi visuale
sudo apt --fix-broken install
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze       
Lettura informazioni sullo stato... Fatto
Correzione delle dipendenze... Fatto
I seguenti pacchetti sono stati installati automaticamente e non sono più richiesti:
  libapache-pom-java libcommons-logging-java libcommons-parent-java
Usare "sudo apt autoremove" per rimuoverli.
I seguenti pacchetti saranno RIMOSSI:
  libreoffice-base libreoffice-base-drivers libreoffice-report-builder libreoffice-report-builder-bin
0 aggiornati, 0 installati, 4 da rimuovere e 48 non aggiornati.
1 non completamente installati o rimossi.
Dopo quest'operazione, verranno liberati 17,6 MB di spazio su disco.
Continuare? [S/n] s
(Lettura del database... 466229 file e directory attualmente installati.)
Rimozione di libreoffice-report-builder (1:6.0.7-0ubuntu0.18.04.2)...
Rimozione di libreoffice-report-builder-bin (1:6.0.7-0ubuntu0.18.04.2)...
Rimozione di libreoffice-base (1:6.0.7-0ubuntu0.18.04.2)...
Rimozione di "deviazione di /usr/lib/libreoffice/share/basic/dialog.xlc in /usr/lib/libreoffice/share/basic/dialog.xlc.noaccess da libreoffice-base"
Rimozione di "deviazione di /usr/lib/libreoffice/share/basic/script.xlc in /usr/lib/libreoffice/share/basic/script.xlc.noaccess da libreoffice-base"
Rimozione di libreoffice-base-drivers (1:6.0.7-0ubuntu0.18.04.5)...
Elaborazione dei trigger per mime-support (3.60ubuntu1)...
Elaborazione dei trigger per libreoffice-common (1:6.0.7-0ubuntu0.18.04.2)...
Elaborazione dei trigger per desktop-file-utils (0.23-1ubuntu3.18.04.2)...
Elaborazione dei trigger per bamfdaemon (0.5.3+18.04.20180207.2-0ubuntu1)...
Rebuilding /usr/share/applications/bamf-2.index...
Elaborazione dei trigger per man-db (2.8.3-2ubuntu0.1)...
Elaborazione dei trigger per gnome-menus (3.13.3-11ubuntu1.1)...

e l'ho reinstallato con il seguente comando:
Codice: Seleziona tutto   Espandi visualeStringi visuale
sudo apt-get install libreoffice-base
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze       
Lettura informazioni sullo stato... Fatto
I seguenti pacchetti sono stati installati automaticamente e non sono più richiesti:
  libapache-pom-java libcommons-logging-java libcommons-parent-java
Usare "sudo apt autoremove" per rimuoverli.
I seguenti pacchetti aggiuntivi saranno inoltre installati:
  libhsqldb1.8.0-java libreoffice-base-drivers libreoffice-sdbc-hsqldb libservlet3.1-java
Pacchetti suggeriti:
  java-virtual-machine libhsqldb1.8.0-java-gcj libreoffice-report-builder unixodbc libjtds-java
  libreoffice-mysql-connector | libmyodbc | libmysql-java libreoffice-sdbc-postgresql
  | odbc-postgresql | libpg-java libsqliteodbc | tdsodbc | mdbtools libreoffice-sdbc-firebird
I seguenti pacchetti NUOVI saranno installati:
  libhsqldb1.8.0-java libreoffice-base libreoffice-base-drivers libreoffice-sdbc-hsqldb
  libservlet3.1-java
0 aggiornati, 5 installati, 0 da rimuovere e 48 non aggiornati.
È necessario scaricare 3.449 kB di archivi.
Dopo quest'operazione, verranno occupati 13,4 MB di spazio su disco.
Continuare? [S/n] s
Scaricamento di:1 http://archive.ubuntu.com/ubuntu bionic-updates/universe amd64 libservlet3.1-java all 8.5.30-1ubuntu1.4 [389 kB]
Scaricamento di:2 http://archive.ubuntu.com/ubuntu bionic/universe amd64 libhsqldb1.8.0-java all 1.8.0.10+dfsg-8 [723 kB]
Scaricamento di:3 http://archive.ubuntu.com/ubuntu bionic-updates/universe amd64 libreoffice-base-drivers amd64 1:6.0.7-0ubuntu0.18.04.2 [498 kB]
Scaricamento di:4 http://archive.ubuntu.com/ubuntu bionic-updates/universe amd64 libreoffice-base amd64 1:6.0.7-0ubuntu0.18.04.2 [1.730 kB]
Scaricamento di:5 http://archive.ubuntu.com/ubuntu bionic-updates/universe amd64 libreoffice-sdbc-hsqldb amd64 1:6.0.7-0ubuntu0.18.04.2 [108 kB]
Recuperati 3.449 kB in 14s (252 kB/s)                                                                 
Selezionato il pacchetto libservlet3.1-java non precedentemente selezionato.
(Lettura del database... 466140 file e directory attualmente installati.)
Preparativi per estrarre .../libservlet3.1-java_8.5.30-1ubuntu1.4_all.deb...
Estrazione di libservlet3.1-java (8.5.30-1ubuntu1.4)...
Selezionato il pacchetto libhsqldb1.8.0-java non precedentemente selezionato.
Preparativi per estrarre .../libhsqldb1.8.0-java_1.8.0.10+dfsg-8_all.deb...
Estrazione di libhsqldb1.8.0-java (1.8.0.10+dfsg-8)...
Selezionato il pacchetto libreoffice-base-drivers non precedentemente selezionato.
Preparativi per estrarre .../libreoffice-base-drivers_1%3a6.0.7-0ubuntu0.18.04.2_amd64.deb...
Estrazione di libreoffice-base-drivers (1:6.0.7-0ubuntu0.18.04.2)...
Selezionato il pacchetto libreoffice-base non precedentemente selezionato.
Preparativi per estrarre .../libreoffice-base_1%3a6.0.7-0ubuntu0.18.04.2_amd64.deb...
Viene aggiunto "deviazione di /usr/lib/libreoffice/share/basic/dialog.xlc in /usr/lib/libreoffice/share/basic/dialog.xlc.noaccess da libreoffice-base"
Viene aggiunto "deviazione di /usr/lib/libreoffice/share/basic/script.xlc in /usr/lib/libreoffice/share/basic/script.xlc.noaccess da libreoffice-base"
Estrazione di libreoffice-base (1:6.0.7-0ubuntu0.18.04.2)...
Selezionato il pacchetto libreoffice-sdbc-hsqldb non precedentemente selezionato.
Preparativi per estrarre .../libreoffice-sdbc-hsqldb_1%3a6.0.7-0ubuntu0.18.04.2_amd64.deb...
Estrazione di libreoffice-sdbc-hsqldb (1:6.0.7-0ubuntu0.18.04.2)...
Elaborazione dei trigger per mime-support (3.60ubuntu1)...
Elaborazione dei trigger per libreoffice-common (1:6.0.7-0ubuntu0.18.04.2)...
Elaborazione dei trigger per desktop-file-utils (0.23-1ubuntu3.18.04.2)...
Elaborazione dei trigger per bamfdaemon (0.5.3+18.04.20180207.2-0ubuntu1)...
Rebuilding /usr/share/applications/bamf-2.index...
Configurazione di libservlet3.1-java (8.5.30-1ubuntu1.4)...
Configurazione di libreoffice-base-drivers (1:6.0.7-0ubuntu0.18.04.2)...
Configurazione di libhsqldb1.8.0-java (1.8.0.10+dfsg-8)...
Elaborazione dei trigger per man-db (2.8.3-2ubuntu0.1)...
Elaborazione dei trigger per gnome-menus (3.13.3-11ubuntu1.1)...
Configurazione di libreoffice-base (1:6.0.7-0ubuntu0.18.04.2)...
Configurazione di libreoffice-sdbc-hsqldb (1:6.0.7-0ubuntu0.18.04.2)...
mate-1804@mate-1804-Precision-M6400:~$ ^C
mate-1804@mate-1804-Precision-M6400:~$

Tutto per fortuna è andato a buon fine.
LIBREOFFICE 6.0.2.1 SU UBUNTU MATE 16.04
Vioma
 
Messaggi: 79
Iscritto il: domenica 22 maggio 2011, 5:28

Re: Non si apre un Data Base su Ubuntu 18.04

Messaggioda charlie » martedì 12 marzo 2019, 14:17

Grazie per aver condiviso la soluzione, potrebbe essere utile ad altri :D .
charlie
macOS 10.12 Sierra: Open Office 4.1.5 - LibreOffice 6.0.7
Windows 7 pro (VirtualBox): Open Office 4.1.5 - LibreOffice 5.4.4.2
Ubuntu 17.04 LTE (VirtualBox): LibreOffice 5.1.6.2
http://www.charlieopenoffice.altervista.org
Avatar utente
charlie
Site Admin
Site Admin
 
Messaggi: 5652
Iscritto il: mercoledì 19 dicembre 2012, 10:50


Torna a Base

Chi c’è in linea

Visitano il forum: Google [Bot] e 0 ospiti